# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "ps-parser"
version = "0.5.5"
authors = ["radkum <radoslaw.kumorekit@gmail.com>"]
build = "build.rs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "The Powershell Parser"
homepage = "https://github.com/radkum/ps-parser"
readme = "README.md"
keywords = [
    "powershell",
    "obfuscation",
    "parser",
    "pest",
]
categories = ["parsing"]
license = "MIT OR Apache-2.0"
repository = "https://github.com/radkum/ps-parser"

[features]
default = ["en-us"]
en-us = ["dep:icu"]

[lib]
name = "ps_parser"
path = "src/lib.rs"

[dependencies.base64]
version = "0.22.1"

[dependencies.configparser]
version = "3.1.0"

[dependencies.env_logger]
version = "0.11.8"

[dependencies.icu]
version = "1.4"
features = ["compiled_data"]
optional = true

[dependencies.log]
version = "0.4.27"

[dependencies.pest]
version = "2.8.3"

[dependencies.pest_derive]
version = "2.8.3"

[dependencies.phf]
version = "0.13.1"
features = ["macros"]

[dependencies.regex]
version = "1.11.1"

[dependencies.smart-default]
version = "0.7.1"

[dependencies.thiserror-no-std]
version = "2.0.2"

[dependencies.unicode-normalization]
version = "0.1"

[build-dependencies.pest_generator]
version = "2.7"
